export default [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  {
    path: '/',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        path: '/',
        component: '../layouts/BasicLayout',
        authority: ['admin', 'user'],
        routes: [
          {
            path: '/',
            redirect: '/welcome',
          },
          {
            path: '/welcome',
            name: 'welcome',
            icon: 'smile',
            component: './Welcome',
          },
          {
            path: '/admin',
            name: 'admin',
            icon: 'crown',
            component: './Admin',
            authority: ['admin'],
            routes: [
              {
                path: '/admin/sub-page',
                name: 'sub-page',
                icon: 'smile',
                component: './Welcome',
                authority: ['admin'],
              },
            ],
          },
          {
            path: '/building',
            name: '项目管理',
            icon: 'control',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/building/list',
                name: '项目列表',
                component: './building/List',
              },
              {
                path: '/building/add',
                name: '项目维护',
                component: './building/Edit',
                hideInMenu: true,
              },
              {
                path: '/building/type',
                name: '项目类型',
                component: './building/type/index',
              },
              {
                path: '/building/type/edi',
                name: '项目类型编辑',
                hideInMenu: true,
                component: './building/type/edi',
              },
              {
                path: '/building/Developers',
                name: '品牌开发商',
                component: './building/Developers',
              },
              {
                path: '/building/Developers/Edit',
                name: '品牌开发商编辑',
                hideInMenu: true,
                component: './building/Developers/Edit',
              },
            ],
          },
          {
            path: '/customer',
            name: '客户管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/customer/customer/list',
                name: '客户列表',
                component: './customer/Customer/index',
              },
              {
                path: '/customer/customerlist/privateCustomerDetail',
                name: '私客详情',
                hideInMenu: true,
                component: './customer/Customer/PrivateCustomer/CustomerDetail',
              },

              // {
              //   path: '/customer/customerlist/list',
              //   name: '客户列表old',
              //   component: './customer/customerlist/index copy.jsx',
              // },
              {
                path: '/customer/customerlist/customerDetail',
                name: '私客详情',
                hideInMenu: true,
                component: './customer/customerlist/customerDetail',
              },
              {
                path: '/customer/drift/list',
                name: '游客列表',
                component: './customer/drift/index',
              },
              {
                path: '/customer/customerlist/publicCustomerDetail',
                name: '公客详情',
                hideInMenu: true,
                component: './customer/customerlist/publicCustomerDetail',
              },
              {
                path: '/customer/recommend/list',
                name: '推荐记录',
                component: './customer/Recommend',
              },
              {
                path: '/customer/recommend/audit',
                name: '客户审核',
                hideInMenu: true,
                component: './customer/Recommend/audit',
              },
            ],
          },
          {
            path: '/staff',
            name: '员工管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/staff/Staff/List',
                name: '员工列表',
                component: './staff/Staff/List',
              },
              {
                path: '/staff/Staff/Edit',
                name: '编辑员工',
                hideInMenu: true,
                component: './staff/Staff/Edit',
              },
              {
                path: '/staff/Role/List',
                name: '角色管理',
                component: './staff/Role/List',
              },
              {
                path: '/staff/Role/Edit',
                name: '编辑角色',
                hideInMenu: true,
                component: './staff/Role/Edit',
              },
              {
                path: '/staff/Organization/List',
                name: '组织架构',
                component: './staff/Organization',
              },

              // {
              //   path: '/staff/list/distribution',
              //   name: '分配归属',
              //   hideInMenu: true,
              //   component: './staff/list/distribution',
              // },
            ],
          },
          {
            path: '/Live',
            name: '视频直播',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/Live/LiveActivity/List',
                name: '直播活动',
                component: './Live/LiveActivity/List',
              },
              {
                path: '/Live/LiveActivity/Edit',
                name: '编辑活动',
                hideInMenu: true,
                component: './Live/LiveActivity/Edit',
              },
              {
                path: '/Live/LiveActivity/add',
                name: '新增活动',
                hideInMenu: true,
                component: './Live/LiveActivity/add',
              },
              
              // {
              //   path: '/staff/Staff/Edit',
              //   name: '编辑员工',
              //   hideInMenu: true,
              //   component: './staff/Staff/Edit',
              // },
              // {
              //   path: '/staff/Role/List',
              //   name: '角色管理',
              //   component: './staff/Role/List',
              // },
              // {
              //   path: '/staff/Role/Edit',
              //   name: '编辑角色',
              //   hideInMenu: true,
              //   component: './staff/Role/Edit',
              // },
              // {
              //   path: '/staff/Organization/List',
              //   name: '组织架构',
              //   component: './staff/Organization',
              // },

              // {
              //   path: '/staff/list/distribution',
              //   name: '分配归属',
              //   hideInMenu: true,
              //   component: './staff/list/distribution',
              // },
            ],
          },
          {
            path: '/activity',
            name: '活动管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/activity/groupRoomActivity',
                name: '团房活动',
                component: './activity/groupRoomActivity',
              },
              {
                path: '/activity/groupRoomActivity/detail',
                name: '活动详情',
                hideInMenu: true,
                component: './activity/groupRoomActivity/detail',
              },
              {
                path: '/activity/groupRoomActivity/edit',
                name: '编辑活动',
                hideInMenu: true,
                component: './activity/groupRoomActivity/edit',
              },
              {
                path: '/activity/groupRoomActivity/registrationRecord',
                name: '报名记录',
                hideInMenu: true,
                component: './activity/groupRoomActivity/registrationRecord',
              },
              

              {
                path: '/activity/lookHouseActivity',
                name: '看房团',
                component: './activity/lookHouseActivity',
              },
              {
                path: '/activity/lookHouseActivity/detail',
                name: '活动详情',
                hideInMenu: true,
                component: './activity/lookHouseActivity/detail',
              },
              {
                path: '/activity/lookHouseActivity/edit',
                name: '编辑活动',
                hideInMenu: true,
                component: './activity/lookHouseActivity/edit',
              },
              {
                path: '/activity/lookHouseActivity/registrationRecord',
                name: '报名记录',
                hideInMenu: true,
                component: './activity/lookHouseActivity/registrationRecord',
              },



              {
                path: '/activity/SignupActivity',
                name: '报名活动',
                component: './activity/SignupActivity',
              },
              {
                path: '/activity/SignupActivity/detail',
                name: '活动详情',
                hideInMenu: true,
                component: './activity/SignupActivity/detail',
              },
              {
                path: '/activity/SignupActivity/edit',
                name: '编辑活动',
                hideInMenu: true,
                component: './activity/SignupActivity/edit',
              },
              {
                path: '/activity/SignupActivity/registrationRecord',
                name: '报名记录',
                hideInMenu: true,
                component: './activity/SignupActivity/registrationRecord',
              },

              // {
              //   path: '/activity/SignupActivity',
              //   name: '报名活动',
              //   component: './activity/SignupActivity',
              // },
              // {
              //   path: '/activity/SignupActivity/detail',
              //   name: '活动详情',
              //   hideInMenu: true,
              //   component: './activity/SignupActivity/detail',
              // },
              // {
              //   path: '/activity/SignupActivity/edit',
              //   name: '编辑活动',
              //   hideInMenu: true,
              //   component: './activity/SignupActivity/edit',
              // },
              // {
              //   path: '/activity/SignupActivity/registrationRecord',
              //   name: '报名记录',
              //   hideInMenu: true,
              //   component: './activity/SignupActivity/registrationRecord',
              // },
              
            ],
          },
          {
            path: '/news',
            name: '资讯管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/news/type/NewsType',
                name: '资讯类型',
                component: './news/type/NewsType',
              },
              {
                path: '/news/type/editNews',
                name: '编辑资讯类型',
                hideInMenu: true,
                component: './news/type/editNews',
              },
              {
                path: '/news/list/List',
                name: '资讯列表',
                component: './news/list/List',
              },
              {
                path: '/news/list/Edit',
                name: '编辑资讯',
                hideInMenu: true,
                component: './news/list/Edit',
              },

              // {
              //   path: '/news/list/NewsList',
              //   name: '资讯列表',
              //   component: './news/list/NewsList',
              // },

              // {
              //   path: '/news/list/editNewsList',
              //   name: '编辑资讯',
              //   hideInMenu: true,
              //   component: './news/list/editNewsList',
              // },
            ],
          },
          {
            path: '/channel',
            name: '渠道管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/channel/Channel/List',
                name: '渠道管理',
                component: './channel/Channel/List',
              },
              {
                path: '/channel/Channel/Edit',
                name: '编辑渠道',
                hideInMenu: true,
                component: './channel/Channel/Edit',
              },
              {
                path: '/channel/Agent/List',
                name: '经纪人',
                hideInMenu: true,
                component: './channel/Agent/List',
              },

              // {
              //   path: '/channel/channelList',
              //   name: '渠道管理',
              //   component: './channel/channelList',
              // },
              {
                path: '/channel/addChannel',
                name: '添加渠道',
                hideInMenu: true,
                component: './channel/addChannel',
              },
              {
                path: '/channel/editChannel',
                name: '编辑渠道',
                hideInMenu: true,
                component: './channel/editChannel',
              },
              {
                path: '/channel/brokerList',
                name: '经纪人',
                hideInMenu: true,
                component: './channel/brokerList',
              },
              {
                path: '/channel/recommendClients',
                name: '渠道推荐',
                hideInMenu: true,
                component: './channel/recommendClients',
              },
              {
                path: '/channel/InviteClients',
                name: '邀请经纪人',
                hideInMenu: true,
                component: './channel/InviteClients',
              },
              {
                path: '/channel/independentList',
                name: '专业经纪人',
                component: './channel/independentList/index',
              },
              {
                path: '/channel/newCustomer',
                name: '引进注册用户',
                hideInMenu: true,
                component: './channel/newCustomer',
              },
              {
                path: '/channel/newCustomer/dataRecord',
                name: '注册用户',
                hideInMenu: true,
                component: './channel/newCustomer/dataRecord',
              },
              {
                path: '/channel/newCustomer/visitNum',
                name: '访问次数',
                hideInMenu: true,
                component: './channel/newCustomer/visitNum',
              },
              {
                path: '/channel/newCustomer/personNum',
                name: '访问人数',
                hideInMenu: true,
                component: './channel/newCustomer/personNum',
              },
            ],
          },
          {
            //帮我找房页面+
            path: '/home',
            name: '帮我找房',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/home/recommend',
                name: '找房需求',
                component: './home/recommend/index',
              },
              {
                path: '/home/recommend/audit',
                name: '回访确认',
                hideInMenu: true,
                component: './home/Recommend/audit',
              },
              {
                path: '/home/recommend/auditcopy',
                name: '回访确认',
                hideInMenu: true,
                component: './home/Recommend/auditCopy',
              },
            ],
          },
          {
            //我的课堂+
            path: '/course',
            name: '我的课堂',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/course/List',
                name: '课程管理',
                component: './course/List',
              },
              {
                path: '/course/Edit',
                name: '课程编辑',
                hideInMenu: true,
                component: './course/Edit',
              },
            ],
          },
          {
            path: '/carouselFigure',
            name: '资源位管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/carouselFigure/carouselFigureList',
                name: '轮播图',
                component: './carouselFigure/carouselFigureList',
              },
              {
                path: '/carouselFigure/editCarousel',
                name: '轮播图编辑',
                hideInMenu: true,
                component: './carouselFigure/editCarousel',
              },
              {
                path: '/carouselFigure/advertisingList',
                name: '开屏广告',
                component: './carouselFigure/advertisingList',
              },
              {
                path: '/carouselFigure/editAdvertising',
                name: '开屏广告编辑',
                hideInMenu: true,
                component: './carouselFigure/editAdvertising',
              },
              {
                path: '/carouselFigure/propagandaList',
                name: '宣传位',
                component: './carouselFigure/propagandaList',
              },
              {
                path: '/carouselFigure/propaganda',
                name: '宣传位编辑',
                hideInMenu: true,
                component: './carouselFigure/propaganda',
              },
              {
                path: '/carouselFigure/customImg/list',
                name: '其他',
                component: './carouselFigure/customImg/list',
              },
              {
                path: '/carouselFigure/customImg/edit',
                name: '其他编辑',
                hideInMenu: true,
                component: './carouselFigure/customImg/edit',
              },
            ],
          },
          {
            path: '/system',
            name: '系统管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/system/messageList',
                name: '客户留言',
                component: './system/messageList',
              },
              {
                path: '/system/report',
                name: '报表数据',
                component: './system/report',
              },
              {
                path: '/system/intention',
                name: '意向值',
                component: './system/intention',
              },
              //+购房百科
              {
                path: '/system/Sellhouse/index',
                name: '购房百科',
                component: './system/Sellhouse/index',
              },
              {
                path: '/system/houseTypes/index',
                name: '购房百科类型',
                component: './system/Sellhouse/houseTypes/index',
              },
              {
                path: '/system/Sellhouse/Edit',
                name: '新增/编辑购房百科',
                hideInMenu: true,
                component: './system/Sellhouse/Edit',
              },
              {
                path: '/system/Sellhouse/houseTypes/Newindex',
                name: '新增',
                hideInMenu: true,
                component: './system/Sellhouse/houseTypes/Newindex',
              },
              {
                path: '/system/housingPolicy/list',
                name: '购房百科',
                component: './system/housingPolicy/List',
              },
              {
                path: '/system/housingPolicy/edit',
                name: '购房百科编辑',
                hideInMenu: true,
                component: './system/housingPolicy/Edit',
              },
              // {
              //   path: '/system/editPolicy',
              //   name: '购房政策编辑',
              //   hideInMenu: true,
              //   component: './system/editPolicy',
              // },
              // {
              //   path: '/system/document/list',
              //   name: '客户资料',
              //   component: './system/document/list',
              // },
              // {
              //   path: '/system/document/audit',
              //   name: '客户资料审核',
              //   hideInMenu: true,
              //   component: './system/document/audit',
              // },
              // {
              //   path: '/system/MiniappTheme',
              //   name: '小程序主题',
              //   component: './system/MiniappTheme',
              // },
              // {
              //   path: '/system/MiniappTheme/Detail',
              //   name: '小程序主题编辑',
              //   component: './system/MiniappTheme/Detail',
              //   hideInMenu: true,
              // },
            ],
          },
          {
            path: '/statistical',
            name: '数据统计',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/statistical',
                redirect: '/statistical/monitor',
              },
              // {
              //   path: '/statistical/monitor',
              //   name: '数据报表',
              //   component: './Monitor',
              // },
              {
                path: '/statistical/activity',
                name: '活动统计',
                component: './statistical/activity',
              },
              {
                path: '/statistical/activity/detail',
                name: '查看详情',
                hideInMenu: true,
                component: './statistical/activity/detail',
              },
              {
                path: '/statistical/activity/sharePersonNum',
                name: '分享统计',
                hideInMenu: true,
                component: './statistical/activity/sharePersonNum',
              },
              {
                path: '/statistical/activity/shareNum',
                name: '分享统计',
                hideInMenu: true,
                component: './statistical/activity/shareNum',
              },
              {
                path: '/statistical/activity/addRegistNum',
                name: '分享统计',
                hideInMenu: true,
                component: './statistical/activity/addRegistNum',
              },
              {
                path: '/statistical/activity/visitNum',
                name: '访问统计',
                hideInMenu: true,
                component: './statistical/activity/visitNum',
              },
              {
                path: '/statistical/activity/visitPersonNum',
                name: '访问统计',
                hideInMenu: true,
                component: './statistical/activity/visitPersonNum',
              },
              {
                path: '/statistical/building',
                name: '项目统计',
                component: './statistical/building',
              },
              {
                path: '/statistical/consultant',
                name: '置业顾问KPI',
                component: './statistical/consultant',
              },

              {
                path: '/statistical/userSource',
                name: '用户来源',
                component: './indexEcharts/userSource',
                hideInMenu: true,
              },
              {
                path: '/statistical/newUsers',
                name: '新增用户',
                component: './indexEcharts/newUsers',
                hideInMenu: true,
              },
              {
                path: '/statistical/userBehavior',
                name: '用户行为',
                component: './indexEcharts/userBehavior',
                hideInMenu: true,
              },
              {
                path: '/statistical/building/detail',
                name: '项目统计详情',
                component: './statistical/building/detail',
                hideInMenu: true,
              },
              {
                path: '/statistical/consultant/table',
                name: '客户总计',
                hideInMenu: true,
                component: './statistical/consultant/table',
              },
              {
                path: '/statistical/consultant/newPersons',
                name: '新增客户',
                hideInMenu: true,
                component: './statistical/consultant/table',
              },
              {
                path: '/statistical/consultant/sharetable',
                name: '分享次数',
                hideInMenu: true,
                component: './statistical/consultant/sharetable',
              },
              {
                path: '/statistical/consultant/visitPersons',
                name: '分享访问人数',
                hideInMenu: true,
                component: './statistical/consultant/visitPersons',
              },
              {
                path: '/statistical/consultant/visitNum',
                name: '分享访问次数',
                hideInMenu: true,
                component: './statistical/consultant/visitNum',
              },
              {
                path: '/statistical/consultant/sharePersons',
                name: '分享拓客',
                hideInMenu: true,
                component: './statistical/consultant/table',
              },
              {
                path: '/statistical/consultant/homePagePersons',
                name: '主页访问人数',
                hideInMenu: true,
                component: './statistical/consultant/homePagePersons',
              },
              {
                path: '/statistical/consultant/homepageNum',
                name: '主页访问次数',
                hideInMenu: true,
                component: './statistical/consultant/table',
              },
              {
                path: '/statistical/consultant/chatPersons',
                name: '咨询数',
                hideInMenu: true,
                component: './statistical/consultant/table',
              },
              {
                path: '/statistical/consultant/favorNum',
                name: '点赞数',
                hideInMenu: true,
                component: './statistical/consultant/table',
              },
            ],
          },
          {
            component: './404',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
];
