import React from 'react'
import { Button, Form, Input } from 'antd'
import ImageUpload from '@/components/XForm/ImageUpload'

const formItemLayout = {
  labelCol: {
    xs: { span: 24 },
    sm: { span: 3 },
  },
  wrapperCol: {
    xs: { span: 24 },
    sm: { span: 19 },
  },
}

const PosterForm = (props) => {
  const { form } = props
  const { getFieldDecorator } = form

  const handleImageChange = (img) => {
    props.onImageChange(img)
  }

  return (
    <Form {...formItemLayout}>
      <Form.Item label="海报图" help="图片建议尺寸：1080*1925px，比例9:16,格式：jpg">
      {getFieldDecorator('posterImg', {
          rules: [{ required: true, message: '请楼盘海报图' }],
      })(<ImageUpload onChange={handleImageChange} />)}
      </Form.Item>
      <Form.Item label="海报标题">
      {getFieldDecorator('posterTitle')(<Input />)}
      </Form.Item>
      <Form.Item label="海报描述">
      {getFieldDecorator('posterDescription')(<Input.TextArea row={4} />)}
      </Form.Item>
      <Form.Item label=" " colon={false} style={{marginTop: '2em'}}>
        <Button style={{marginLeft: '4em'}} type="primary" htmlType="submit">保存</Button>
        <Button style={{marginLeft: '2em'}} onClick={props.onCancel}>取消</Button>
      </Form.Item>
    </Form>
  )
}

export default Form.create({})(PosterForm)
