import React, { useMemo, useState } from 'react'
import { getImgURL } from '@/utils/image'
import Preview from './Preview'
import Form from './Form'
import Styles from './style.less'

export default (props) => {
  const { target } = props
  const { id: targetId, type: targetType } = target

  const [poster, setPoster] = useState()

  const posterImage = useMemo(() => (poster ? getImgURL(poster) : undefined), [poster]);

  return (
    <div className={Styles['building-poster']}>
      <div className={Styles['poster-preview']}>
        <Preview img={posterImage} />
      </div>
      <div className={Styles['poster-form']}>
        <Form onImageChange={setPoster} />
      </div>
    </div>
  )
}
