import React from 'react'
import { Button, Form, Input } from 'antd'
import ImageUpload from '@/components/XForm/ImageUpload'

const formItemLayout = {
  labelCol: {
    xs: { span: 24 },
    sm: { span: 3 },
  },
  wrapperCol: {
    xs: { span: 24 },
    sm: { span: 19 },
  },
}

const ShareForm = (props) => {
  const { target, form } = props
  const { id: targetId, type: shareContentType } = target
  const { getFieldDecorator } = form

  return (
    <Form {...formItemLayout}>
      <Form.Item label="分享标题">
      {getFieldDecorator('shareContentTitle', {
        rules: [{required: true, message: '请填写分享标题'}]
      })(<Input />)}
      </Form.Item>
      <Form.Item label="分享图" help="建议图片尺寸：750*600px，比例5:4,格式：jpg">
      {getFieldDecorator('posterImg', {
          rules: [{ required: true, message: '请上传分享图' }],
      })(<ImageUpload />)}
      </Form.Item>
      <Form.Item label=" " colon={false} style={{marginTop: '2em'}}>
        <Button style={{marginLeft: '4em'}} type="primary" htmlType="submit">保存</Button>
        <Button style={{marginLeft: '2em'}} onClick={props.onCancel}>取消</Button>
      </Form.Item>
    </Form>
  )
}

export default Form.create({})(ShareForm)
