import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Icon, Select, Tabs, Radio, DatePicker, message, Upload } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import moment from 'moment';
import router from 'umi/router';
import BuildSelect from '../../../../../components/SelectButton/BuildSelect'
import XForm, { FieldTypes } from '../../../../../components/XForm';
import Wangedit from '../../../../../components/Wangedit/Wangedit'
import request from '../../../../../utils/request'
import yinhao from '../../../../../assets/yinhao.png'
import ImageUploader from '../../../../../components/XForm/ImageUpload';
import logo from '../../../../../assets/logo.svg';
import touxiang from '../../../../../assets/touxiang.jpg';
import poster1 from '../../../../../assets/poster1.png';
import poster2 from '../../../../../assets/poster2.png';
import apis from '../../../../../services/apis';

const Share = props => {
  const [inputValue, changeInput] = useState('')
  const [imgValue, changeImg] = useState('')
  const [shareContentId, setShareContentId] = useState('')
  const liveActivityId = props.liveActivityId.liveId
  if (liveActivityId) {
    // eslint-disable-next-line react-hooks/rules-of-hooks
    useEffect(() => {
      request({
        ...apis.activity.shareContent,
        params: { targetId: liveActivityId, targetType: 'live' },
      }).then(data => {
        if (data.length > 0) {
          setShareContentId(data[0].shareContentId)
          changeImg(data[0].shareContentImg)
          changeInput(data[0].shareContentTitle)
        }
        // else{
        //   changeInput("诚挚邀您在线选房购房~");
        //   request({ ...apis.house.getTaSalesBatch, urlData: {id: salesBatchId} }).then((data) => {
        //     changeImg(data.aerialViewImg);
        // })
        // }
      }).catch(err => {
        message.info(err.msg || err.message)
      })
      getMiniappName();
    }, [])
  }

  // 获取小程序名称
  const [miniappName, setMiniappName] = useState('')
  function getMiniappName() {

    request({ ...apis.building.getMiniappName }).then(res => {
    
      setMiniappName(res)
     
    })
  }

  const submitShare = () => {
    if (liveActivityId) {
      if (shareContentId) {
        request({
          ...apis.activity.updateShareContent,
          urlData: { id: shareContentId },
          data: { targetId: liveActivityId, shareContentType: 'live', shareContentImg: imgValue,shareContentTitle: inputValue },
        }).then(data => {
          message.info('保存成功')
        }).catch(err => {
          message.info(err.msg || err.message)
        })
       } else {
        request({
          ...apis.activity.addShareContent,
          data: { targetId: liveActivityId, shareContentType: 'live', shareContentImg: imgValue,shareContentTitle: inputValue },
        }).then(data => {
          setShareContentId(data.shareContentId)
          message.info('保存成功')
        }).catch(err => {
          message.info(err.msg || err.message)
        })
       }
     } else {
      message.warn('请先保存基本信息数据')
     }
  }

  return <div style={{ padding: '20px' }}>
    <div style={{ display: 'flex', alignItems: 'center', width: '100%' }}>
      <p style={{ minWidth: '200px', color: '#222', textAlign: 'right', margin: '0 30px 0 0' }}>
        <span style={{marginLeft:'135px', color: '#999'}}>请上传制作好的分享图片用于置业顾问或用户分享房源列表页面到好友或群</span>
      </p>
    </div>
    <div style={{ display: 'flex', margin: '10px 0 40px 0', width: '100%' }}>
      <p style={{ minWidth: '200px', color: '#222', textAlign: 'right', margin: '0 30px 0 0' }}>分享模板</p>
      <div>
        <p style={{ display: 'flex', alignItems: 'center', fontSize: '14px', color: '#999', margin: '0', lineHeight: '0' }}>
          <img src={logo} style={{ width: '22px', marginRight: '10px' }} />
            {miniappName}
        </p>
        <p style={{ fontSize: '16px', color: '#222', fontWeight: '600', margin: '0' }}>{miniappName ? miniappName : '置业V客厅 精准获客平台'}</p>
        <img style={{ width: '200px', height: '160px' }} src={imgValue ? imgValue : poster2} alt="" />
      </div>
    </div>
    <div style={{ display: 'flex', alignItems: 'center', width: '100%' }}>
      <p style={{ minWidth: '200px', color: '#222', textAlign: 'right', margin: '0 30px 0 0' }}>分享标题</p>
      <Input placeholder="请输入分享标题" value={inputValue}  onChange={e => changeInput(e.target.value)} />
    </div>
    <div style={{ display: 'flex', width: '100%', marginTop: '40px' }}>
      <p style={{ minWidth: '200px', color: '#222', textAlign: 'right', margin: '0 30px 0 0' }}>分享图片</p>
      <ImageUploader value={imgValue} onChange={e => changeImg(e)} />
    </div>
    <p style={{ fontSize: '0.5vw', color: '#A9A9A9', marginLeft: '230px', marginTop: '20px' }}>建议尺寸：750*600px，比例5：4，格式：jpg</p>
    <Button type="primary" htmlType="submit" onClick={submitShare} style={{ margin: '40px 40px 40px 220px' }}> 确定</Button>
    <Button onClick={() => router.go(-1)}>取消</Button>
  </div>
}

export default Share
