import React from 'react'
import { Button, Form, Input, Select } from 'antd'
import ImageListUpload from '@/components/XForm/ImageListUpload'
import ModalForm from '../components/ModalForm'

const AMForm = (props) => {
  const { visible, onCancel, form } = props
  const { getFieldDecorator } = form

  return (
    <ModalForm
      title="相册设置"
      visible={visible}
      onCancel={onCancel}
    >
      <Form.Item label="相册名称">
        {getFieldDecorator('apartmentName', {
          rules: [
            { required: true, message: '请填写相册名称' },
            { max: 10, message: '相册名称不超过10个字符' },
          ],
        })(<Input placeholder="相册名称不超过10个字符"/>)}
      </Form.Item>
      <Form.Item label="相册图片" help="建议图片尺寸750*600，比例5:4,格式：jpg">
      {getFieldDecorator('img', {
          rules: [{ required: true, message: '请上传相册图片' }],
      })(
        <ImageListUpload />,
      )}
      </Form.Item>
      <Form.Item label=" " colon={false} style={{marginTop: '2em'}}>
        <Button style={{marginLeft: '4em'}} type="primary" htmlType="submit">保存</Button>
        <Button style={{marginLeft: '2em'}} onClick={props.onCancel}>取消</Button>
      </Form.Item>
    </ModalForm>
  )
}

export default Form.create({})(AMForm)
