import React from 'react'
import { Button, Table } from 'antd'

export default (props) => {
  
  const columns = [
    {
      title: '户型名称',
      dataIndex: 'apartmentName',
      key: 'apartmentName',
    },
    {
      title: '销售状态',
      dataIndex: 'marketStatus',
      key: 'marketStatus',
    },
    {
      title: '户型',
      dataIndex: 'houseType',
      key: 'houseType',
    },
    {
      title: '面积',
      dataIndex: 'buildingArea',
      key: 'buildingArea',
      render: (buildingArea, _) => <span>{`${buildingArea === 0 || buildingArea === null ? "-" : buildingArea + "m²"}`}</span>,
    },
    {
      title: '使用面积',
      dataIndex: 'insideArea',
      key: 'insideArea',
      render: (insideArea, _) => <span>{`${insideArea === 0 || insideArea === null ? "-" : insideArea + "m²"}`}</span>,
    },
    {
      title: '创建时间',
      dataIndex: 'createDate',
      key: 'createDate',
      render: (_, record) => <span>{moment(record.createDate).format('YYYY-MM-DD HH:mm')}</span>,
    },
    {
      title: '操作',
      dataIndex: 'apartmentId',
      key: 'apartmentId',
      render: (_, record) => (
        <>
          <Button type="link" onClick={() => props.onEdit(record)}>编辑</Button>
          <Popconfirm
            title="确定要进行删除操作 ?"
            onConfirm={() => props.onDelete(record)}
          >
            <Button type="link" style={{ color: 'red' }}>删除</Button>
          </Popconfirm>
        </>
      ),
    },
  ]

  return (
    <Table columns={columns} style={{marginTop: '1em', width: '100%'}} rowKey="apartmentId" />
  )
}
