import React from 'react'
import { Button, Form, Input, Select } from 'antd'
import InputNumber from './components/InputNumber'
import { formItemLayout, validMinNum } from './utils'

const ChannelForm = (props) => {
  const { form } = props
  const { getFieldDecorator } = form

  return (
    <Form {...formItemLayout}>
      <Form.Item label="渠道">
      {getFieldDecorator('shareContentTitle', {
        rules: [{required: true, message: '请填写分享标题'}]
      })(<Select />)}
      </Form.Item>
      <Form.Item label="报备有效期">
      {getFieldDecorator('posterImg', {
          rules: [{ validator: validMinNum }],
      })(<InputNumber min={0} step={1} addonAfter="天" />)}
      </Form.Item>
      <Form.Item label="报备有效期">
      {getFieldDecorator('posterImg', {
          rules: [{ validator: validMinNum }],
      })(<Input.TextArea row={4} />)}
      </Form.Item>
      <Form.Item label=" " colon={false} style={{marginTop: '2em'}}>
        <Button style={{marginLeft: '4em'}} type="primary" htmlType="submit">保存</Button>
        <Button style={{marginLeft: '2em'}} onClick={props.onCancel}>取消</Button>
      </Form.Item>
    </Form>
  )
}

export default Form.create({})(ChannelForm)
