import React from 'react'
import { Button, Form, Input, DatePicker } from 'antd'
import ModalForm from '../components/ModalForm'

const fullWidth = { width: '100%' }

const AMForm = (props) => {
  const { visible, onCancel, form } = props
  const { getFieldDecorator } = form

  return (
    <ModalForm
      title="项目动态设置"
      visible={visible}
      onCancel={onCancel}
    >
      <Form.Item label="时间">
      {getFieldDecorator('img', {
          rules: [{ required: true, message: '请选择时间' }],
      })(
        <DatePicker style={fullWidth} />,
      )}
      </Form.Item>
      <Form.Item label="标题">
        {getFieldDecorator('apartmentName', {
          rules: [
            { required: true, message: '请填写标题' },
            { max: 30, message: '标题不超过30个字符' },
          ],
        })(<Input placeholder="标题不超过30个字符"/>)}
      </Form.Item>
      <Form.Item label="内容">
        {getFieldDecorator('marketStatus', {
          rules: [{ required: true, message: '请填写内容' }],
        })(<Input.TextArea row={4} />)}
      </Form.Item>
      <Form.Item label=" " colon={false} style={{marginTop: '2em'}}>
        <Button style={{marginLeft: '4em'}} type="primary" htmlType="submit">保存</Button>
        <Button style={{marginLeft: '2em'}} onClick={props.onCancel}>取消</Button>
      </Form.Item>
    </ModalForm>
  )
}

export default Form.create({})(AMForm)
