import React from 'react'
import { Button, Table } from 'antd'

export default (props) => {
  
  const columns = [
    {
      title: '标题',
      dataIndex: 'apartmentName',
      key: 'apartmentName',
    },
    {
      title: '内容',
      dataIndex: 'marketStatus',
      key: 'marketStatus',
    },
    {
      title: '时间',
      dataIndex: 'createDate',
      key: 'createDate',
      render: (_, record) => <span>{moment(record.createDate).format('YYYY-MM-DD')}</span>,
    },
    {
      title: '操作',
      dataIndex: 'apartmentId',
      key: 'apartmentId',
      render: (_, record) => (
        <>
          <Button type="link" onClick={() => props.onEdit(record)}>编辑</Button>
          <Popconfirm
            title="确定要进行删除操作 ?"
            onConfirm={() => props.onDelete(record)}
          >
            <Button type="link" style={{ color: 'red' }}>删除</Button>
          </Popconfirm>
        </>
      ),
    },
  ]

  return (
    <Table columns={columns} style={{marginTop: '1em', width: '100%'}} rowKey="apartmentId" />
  )
}
