import React from 'react'
import { Input, Popconfirm, Table } from 'antd'
import Styles from './style.less'

export default (props) => {
  const handleCancel = (row) => {}

  const columns = [
    {
      title: '头像',
      dataIndex: 'avatar',
      key: 'avatar',
      render: t => <img src={t} alt="" style={{ width: '96px', height: '96px', borderRadius: '4px' }} />,
    },
    {
      title: '昵称',
      dataIndex: 'nickname',
      key: 'nickname',
    },
    {
      title: '手机',
      dataIndex: 'phone',
      key: 'phone',
    },
    {
      title: '性别',
      dataIndex: 'sex',
      key: 'sex',
    },
    {
      title: '操作',
      key: 'action',
      render: (_, row) => (
        <Popconfirm
          title="确认执行取消操作?"
          onConfirm={() => handleCancel(row)}
        >
          <a href="#" style={{color: 'red'}}>取消绑定</a>
        </Popconfirm>
      )
    },
  ]

  return (
    <div className={Styles['on-site-box']}>
      <div className={Styles['market-code']}>
        <div className={Styles['code-label']}>驻场编码: </div>
        <div className={Styles['code-input']}><Input value={123} style={{ width: '30%' }} /></div>
      </div>

      <Table columns={columns} bordered pagination={false} />
    </div>
  )
}
