import React, { useState } from 'react'
import { Button, Form, Input, Select, Radio } from 'antd'
import ImageUpload from '@/components/XForm/ImageUpload'
import ModalForm from '../components/ModalForm'

const fullWidth = { width: '100%' }

const AMForm = (props) => {
  const { visible, onCancel, form } = props
  const { getFieldDecorator } = form

  const [panoramaType, setPanoramaType] = useState('apartment')

  return (
    <ModalForm
      title="全景设置"
      visible={visible}
      onCancel={onCancel}
    >
      <Form.Item label="全景类型">
        {getFieldDecorator('panoramaType', {
          rules: [{ required: true, message: '请选择全景类型' } ],
        })(
          <Radio.Group onChange={(e) => setPanoramaType(e.target.value)} buttonStyle="solid">
            <Radio.Button value="apartment">户型</Radio.Button>
            <Radio.Button value="building">项目</Radio.Button>
          </Radio.Group>,
        )}
      </Form.Item>
      { panoramaType == "apartment" && <Form.Item label="全景内容">
        {getFieldDecorator('apartmentId', {
          rules: [{ required: true, message: '请选择全景内容' }],
        })(
          <Select placeholder="户型" style={fullWidth}>
          </Select>
        )}
      </Form.Item>}
      { panoramaType == "building" && <Form.Item label="全景内容">
        {getFieldDecorator('content', {
          rules: [{ required: true, message: '请输入全景内容' }],
        })(<Input placeholder="请简述全景内容" />)}
      </Form.Item>}
      <Form.Item label="选择封面" help="建议图片尺寸750px*600px，比例5:4,格式：jpg">
      {getFieldDecorator('coverImg', {
          rules: [{ required: true, message: '请上传封面图片' }],
      })(<ImageUpload />)}
      </Form.Item>
      <Form.Item label="链接地址">
        {getFieldDecorator('panoramaLink', {
          rules: [{ required: true, message: '请输入链接地址' }],
        })(<Input />)}
      </Form.Item>
      <Form.Item label=" " colon={false} style={{marginTop: '2em'}}>
        <Button style={{marginLeft: '4em'}} type="primary" htmlType="submit">保存</Button>
        <Button style={{marginLeft: '2em'}} onClick={props.onCancel}>取消</Button>
      </Form.Item>
    </ModalForm>
  )
}

export default Form.create({})(AMForm)
