import React from 'react'
import { Button, Table } from 'antd'

export default (props) => {
  
  const columns = [
    {
      title: '封面图',
      dataIndex: 'coverImg',
      key: 'coverImg',
      render: (x, record) => <img style={{ width: '150px', height: '120px', borderRadius: '4px' }} src={x} alt="" />,
    },
    {
      title: '类型',
      dataIndex: 'panoramaType',
      key: 'panoramaType',
      render: (x, record) => <span>{x === "apartment" ? "户型" : "项目"}</span>,
    },
    {
      title: '内容',
      dataIndex: 'content',
      key: 'content',
    },
    {
      title: '链接地址',
      dataIndex: 'panoramaLink',
      key: 'panoramaLink',
    },
    {
      title: '操作',
      dataIndex: 'apartmentId',
      key: 'apartmentId',
      render: (_, record) => (
        <Popconfirm
          title="确定要进行删除操作 ?"
          onConfirm={() => props.onDelete(record)}
        >
          <Button type="link" style={{ color: 'red' }}>删除</Button>
        </Popconfirm>
      ),
    },
  ]

  return (
    <Table columns={columns} style={{marginTop: '1em', width: '100%'}} rowKey="apartmentId" />
  )
}
