const prefix = '/api/admin'

// 高德地图
const amapPrefix = '/gaode_amap'

export default {
  image: {
    uploadForAnt: {
      url: `${prefix}/antd/image`,
      method: 'POST',
      action: 'upload',
    },
    upload: {
      url: `${prefix}/image`,
      method: 'POST',
      action: 'upload',
    },
    qrcode: {
      url: `${prefix}/qrcode`,
      method: 'POST',
      action: 'upload',
    }
  },
  user: {
    updatePassword: {
      method: 'PUT',
      url: `${prefix}/update/password`,
      action: 'admin.update.password',
    },
    current: {
      method: 'GET',
      url: `${prefix}/taUser/current`,
      action: 'admin.taUser.current.get',
    },
    signin: {
      method: 'POST',
      url: `${prefix}/taUser/signin`,
      login: true,
      action: 'admin.taUser.signin.post',
    },
    signout: {
      method: 'POST',
      url: `${prefix}/taUser/signout`,
      logout: true,
      action: 'signout',
    },
  },
  //品牌开发商
  brand:{
    //查询
    list:{
      method:'GET',
      url:`${prefix}/brand`,
      action:'admin.brand.get'
    },
    //添加
    addBrand:{
      method:'POST',
      url:`${prefix}/brand`,
      action:'admin.brand.post'
    },
    //shanchu
    deleBrand:{
      method:'DELETE',
      url:`${prefix}/brand/:id`,
      action:'admin.brand.id.delete',
    },
    // 获取详情数据
    getBrand:{
      method:'GET',
      url:`${prefix}/brand/:id`,
      action:'admin.brand.id.get',
    },
    //修改
    alterBrand:{
      method:'PUT',
      url:`${prefix}/brand/:id`,
      action:'admin.brand.id.put'
    }
    
    

  },
  building: {
    getList: {
      method: 'GET',
      url: `${prefix}/buildinglist`,
      action: 'admin.buildinglist.get',
    },
    verifyMax: {
      method: 'GET',
      url: `${prefix}/verifyMax`,
      action: 'admin.verifyMax.get',
    },
    updateStatus: {
      method: 'PUT',
      url: `${prefix}/building/update/status`,
      action: 'admin.building.update.status.put',
    },
    addBuilding: {
      method: 'POST',
      url: `${prefix}/building/add`,
      action: 'admin.building.add.post',
    },
    updateBuilding: {
      method: 'PUT',
      url: `${prefix}/building/update`,
      action: 'admin.building.update.put',
    },
    buildingGetById: {
      method: 'GET',
      url: `${prefix}/buildingSelectId/:id`,
      action: 'admin.buildingSelectId.id.get',
    },
    deleteBuilding: {
      method: 'DELETE',
      url: `${prefix}/building/delete/:id`,
      action: 'admin.building.delete.id.delete',
    },
    buildingApartment: {
      method: 'GET',
      url: `${prefix}/buildingApartment/buildingId/:id`,
      action: 'admin.buildingApartment.buildingId.id.get',
    },
    buildingApartmentGetById: {
      method: 'GET',
      url: `${prefix}/buildingApartment/:id`,
      action: 'admin.buildingApartment.id.get',
    },
    buildingApartmentUpdate: {
      method: 'PUT',
      url: `${prefix}/buildingApartment/update`,
      action: 'admin.buildingApartment.update.put',
    },
    buildingApartmentAdd: {
      method: 'POST',
      url: `${prefix}/buildingApartment/add`,
      action: 'admin.buildingApartment.add.post',
    },
    buildingApartmentDelete: {
      method: 'DELETE',
      url: `${prefix}/apartment/deleted/:id`,
      action: 'admin.apartment.deleted.id.delete',
    },
    buildingSelect: {
      url: `${prefix}/buildinglist/select`,
      method: 'GET',
      action: 'select',
    },
    getMiniappName: {
      url: `${prefix}/getMiniappName`,
      method: 'GET',
      action: 'select',
    },
  },
  buildingType: {
    getList: {
      method: 'GET',
      url: `${prefix}/tdBuildingType`,
      action: 'admin.tdBuildingType.get',
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/tdBuildingType/:id`,
      action: 'admin.tdBuildingType.id.delete',
    },
    update: {
      method: 'PUT',
      url: `${prefix}/tdBuildingType/:id`,
      action: 'admin.tdBuildingType.id.put',
    },
    add: {
      method: 'POST',
      url: `${prefix}/tdBuildingType`,
      action: 'admin.tdBuildingType.post',
    },
    getById: {
      method: 'GET',
      url: `${prefix}/tdBuildingType/:id`,
      action: 'admin.tdBuildingType.id.get',
    },
  },
  news: {
    getList: {
      method: 'GET',
      url: `${prefix}/taNews`,
      action: 'admin.taNews.get',
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/taNews/:id`,
      action: 'admin.taNews.id.delete',
    },
    cancel: {
      method: 'PUT',
      url: `${prefix}/taNews/:id`,
      action: 'admin.taNews.id.put',
    },
    get: {
      method: 'GET',
      url: `${prefix}/taNews/:id`,
      action: 'admin.taNews.id.get',
    },
    post: {
      method: 'POST',
      url: `${prefix}/taNews`,
      action: 'admin.taNews.post',
    },
    put: {
      method: 'PUT',
      url: `${prefix}/taNews/:id`,
      action: 'admin.taNews.id.put',
    },
    weight: {
      method: 'PUT',
      url: `${prefix}/taNews/weight`,
      action: 'admin.taNews.id.put',
    }
  },
  newsType: {
    list: {
      method: 'GET',
      url: `${prefix}/taNewsType`,
      action: 'admin.taNewsType.get',
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/taNewsType/:id`,
      action: 'admin.taNewsType.id.delete',
    },
    put: {
      method: 'PUT',
      url: `${prefix}/taNewsType/:id`,
      action: 'admin.taNewsType.id.delete',
    },
    post: {
      method: 'POST',
      url: `${prefix}/taNewsType`,
      action: 'admin.taNewsType.post',
    },
    get: {
      method: 'GET',
      url: `${prefix}/taNewsType/:id`,
      action: 'admin.taNewsType.get',
    }
  },
  // 帮我找房
  searchHouse: {
    //查询
    list:{
      method: 'GET',
      url: `${prefix}/searchHouse`,
      action: 'admin.searchHouse.get',
    },
    //根据ID查询
    IdHouse:{
      method:'GET',
      url:`${prefix}/searchHouse/:id`,
      action:'admin.searchHouse.id.get',  
    },
    //修改
    alterHouse:{
      method:'PUT',
      url:`${prefix}/searchHouse/:id`,
      action:'admin.searchHouse.id.put',
    },
    //回访
    savingHouse:{
      method:'POST',
      url:`${prefix}/searchHouse`,
      action:''
    }

  },

  customer: {
    drift: {
      method: 'GET',
      url: `${prefix}/customer/recommend/drift`,
      action: 'admin.customer.recommend.drift.get',
    },
    report: {
      method: 'GET',
      url: `${prefix}/customer/recommend/report`,
      action: 'admin.customer.recommend.report.get',
    },
    recommender: {
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender`,
      action: 'admin.customer.recommend.recommender.get',
    },
    auto: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/verify/:id`,
      action: 'admin.customer.recommend.verify.id.put',
    },
    recommendGetById: {
      method: 'GET',
      url: `${prefix}/customer/recommend/getById/:id`,
      action: 'admin.customer.recommend.getById.id.get',
    },
    agents: {
      method: 'GET',
      url: `${prefix}/customer/agents`,
      action: 'admin.customer.agents.get',
    },
    customerRecommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend`,
      action: 'admin.customer.recommend.get',
    },
    consultant: {
      method: 'GET',
      url: `${prefix}/consultant`,
      action: 'admin.consultant.get',
    },
    buildingConsultant: {
      method: 'GET',
      url: `${prefix}/building/consultant`,
      action: 'admin.building.consultant.get',
    },
    recommendEdit: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/edit/:id`,
      action: 'admin.customer.recommend.edit.id.put',
    },
    consultantAssist: {
      method: 'POST',
      url: `${prefix}/customer/consultant/assist/:id`,
      action: 'admin.customer.consultant.assist.id.put',
    },
    batchConsultantAssist: {
      method: 'POST',
      url: `${prefix}/customer/consultant/batchAssist`,
      action: 'admin.customer.consultant.assist.id.put',
    },
    taPointsRecords: {
      method: 'GET',
      url: `${prefix}/mine/taPointsRecords/:id`,
      action: 'admin.mine.taPointsRecords.id.get',
    },
    recommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend/:id`,
      action: 'admin.customer.recommend.id.get',
    },
    InviteClientsList: {
      method: 'GET',
      url: `${prefix}/channel/InviteClientsList`,
      action: 'admin.channel.InviteClientsList.get',
    },
    CustomerRecommendGet: {
      method: 'GET',
      url: `${prefix}/customer/recommend/get/:id`,
      action: 'admin.customer.recommend.get.id.get',
    },
    cecommendPublic: {
      method: 'GET',
      url: `${prefix}/customer/recommend/public/get/:id`,
      action: 'admin.customer.recommend.public.get.id.get',
    },
    customerRecommendRecommenderExport: { // 导出数据（推荐客户）
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender/export`,
      action: 'admin.customer.recommend.recommender.export.get',
    },

    customerRecommendReportExport: { // 导出数据（报备客户）
      method: 'GET',
      url: `${prefix}/customer/recommend/report/export`,
      action: 'admin.customer.recommend.report.export.get',
    },
    customerRecommendAgentsExport: { // 导出数据（经纪人）
      method: 'GET',
      url: `${prefix}/customer/recommend/agents/export`,
      action: 'admin.customer.recommend.agents.export.get',
    },
    customerRecommendExport: { // 导出数据（客户列表）
      method: 'GET',
      url: `${prefix}/customer/recommend/export`,
      action: 'admin.customer.recommend.export.get',
    },
    recommendClient: {
      method: 'GET',
      url: `${prefix}/customer/recommend/:id`,
      action: 'admin.customer.recommend.get',
    },
    byUserIdSelectCustomer: { // 根据置业顾问查询客户
      method: 'GET',
      url: `${prefix}/customer/list/:id`,
      action: 'admin.customer.list.get',
    },
  },
  indexEcharts: {
    list: {
      method: 'GET',
      url: `${prefix}/indexStatistical`,
      action: 'userStatistics',
    },
    userResource: {
      method: 'GET',
      url: `${prefix}/selectUserResource`,
      action: 'userStatistics',
    },
    selectPersonFrom: {
      method: 'GET',
      url: `${prefix}/selectPersonFrom`,
      action: 'userStatistics',
    },
    exportUserStats: {
      method: 'GET',
      url: `${prefix}/exportUserStats`,
      action: 'userStatistics',
    },
    selectPersonFromGroupByDay: {
      method: 'GET',
      url: `${prefix}/selectPersonFromGroupByDay`,
      action: 'userStatistics',
    },
    list: {
      method: 'Get',
      url: `${prefix}/indexStatistical`,
      action: 'select',
    },
    userBehavior: {
      summary: {
        method: 'GET',
        url: `${prefix}/selectUserBehavior`,
        action: 'userBehaviorStatistics',
      },
      profile: {
        method: 'GET',
        url: `${prefix}/selectEventAll`,
        action: 'behaviorIncident',
      },
      tsUserBehavior: {
        method: 'GET',
        url: `${prefix}/tsUserBehavior`,
        action: 'tsUserBehavior',
      },
    },
    bizEvent: {
      dict: {
        method: 'get',
        url: `${prefix}/tdBizEventType`,
        action: 'select',
      },
      list: {
        method: 'get',
        url: `${prefix}/tdBizEvent`,
        action: 'select',
      },
      properties: {
        method: 'get',
        url: `${prefix}/taEventProperties`,
        action: 'select',
      },
    },
    userActive: {
      method: 'GET',
      url: `${prefix}/selectActiveUserCount`,
      action: 'selectActiveUserCount',
    },
    userSex: {
      method: 'GET',
      url: `${prefix}/selectSexUser`,
      action: 'selectSexUser',
    },
    newUser: {
      method: 'GET',
      url: `${prefix}/selectNewsUserCount`,
      action: 'selectNewsUserCount',
    },
    changeNewUser: {
      method: 'GET',
      url: `${prefix}/changeNewsUserCount`,
      action: 'selectNewsUserCount',
    },
    userConversion: {
      method: 'GET',
      url: `${prefix}/selectConversion`,
      action: 'selectConversion',
    },
    intentionUsers: {
      method: 'GET',
      url: `${prefix}/selectIntentionUser`,
      action: 'selectIntentionUser',
    },
    userCity: {
      method: 'get',
      url: `${prefix}/selectCityUser`,
      action: 'admin.selectCityUser.get',
    },
    personCity: {
      method: 'get',
      url: `${prefix}/selectCityPerson`,
      action: 'admin.selectCityPerson.get',
    },
    indexBanner: {
      method: 'get',
      url: `${prefix}/listNoticeByCondition`,
      action: 'listNoticeByCondition',
    },
    exportIntentionUsers: {
      method: 'GET',
      url: `${prefix}/exportIntentionUser`,
      action: 'exportIntentionUser',
    },
  },
  activity: {
    list: {
      method: 'GET',
      url: `${prefix}/iBuildingDynamicList`,
      action: 'admin.iBuildingDynamicList.get',
    },
    listSelected: {
      method: 'GET',
      url: `${prefix}/iBuildingDynamicSelected`,
      action: 'admin.iBuildingDynamicList.get',
    },
    weight: {
      method: 'PUT',
      url: `${prefix}/buildingDynamic/weight`,
      action: 'admin.buildingDynamic.weight.put',
    },
    home: {
      method: 'PUT',
      url: `${prefix}/buildingDynamic/home`,
      action: 'admin.buildingDynamic.home.put',
    },
    cancel: {
      method: 'PUT',
      url: `${prefix}/buildingDynamic/cancel/:id`,
      action: 'admin.buildingDynamic.cancel.dynamicId.put',
    },
    send: {
      url: `${prefix}/buildingDynamic/send/:id`,
      method: 'PUT',
      action: 'admin.buildingDynamic.send.dynamicId.put',
    },
    finish: {
      url: `${prefix}/buildingDynamic/finish`,
      method: 'PUT',
      action: 'admin.buildingDynamic.finish.put',
    },
    details: {
      url: `${prefix}/buildingDynamic/Details`,
      method: 'GET',
      action: 'admin.buildingDynamic.Details.get',
    },
    update: {
      url: `${prefix}/buildingDynamic/update`,
      method: 'PUT',
      action: 'admin.buildingDynamic.update.put',
    },
    add: {
      url: `${prefix}/buildingDynamic/add`,
      method: 'POST',
      action: 'admin.buildingDynamic.add.post',
    },
    poster: {
      url: `${prefix}/poster`,
      method: 'GET',
      action: 'admin.poster.get',
    },
    usedPoster: {
      url: `${prefix}/used/poster`,
      method: 'GET',
      action: 'admin.used.poster.get',
    },
    updatePoster: {
      url: `${prefix}/poster/:id`,
      method: 'PUT',
      action: 'admin.poster.id.put',
    },
    addPoster: {
      url: `${prefix}/poster`,
      method: 'POST',
      action: 'admin.poster.post',
    },
    shareContent: {
      url: `${prefix}/shareContent`,
      method: 'GET',
      action: 'admin.shareContent.get',
    },
    updateShareContent: {
      url: `${prefix}/shareContent/:id`,
      method: 'PUT',
      action: 'admin.shareContent.id.put',
    },
    addShareContent: {
      url: `${prefix}/shareContent`,
      method: 'POST',
      action: 'admin.shareContent.post',
    },
    signList: {
      url: `${prefix}/SignList`,
      method: 'GET',
      action: 'admin.SignList.get',
    },
    getTaActivityDynamicEnlistExport: {
      url: `${prefix}/activityDynamicEnlist/export`,
      method: 'GET',
      action: 'admin.activityDynamicEnlist.export.get',
    },
    taDrainage: {
      url: `${prefix}/taDrainage`,
      method: 'GET',
      action: 'admin.taDrainage.get',
    },
    detailDrainage: {
      url: `${prefix}/taDrainage/:id`,
      method: 'GET',
      action: 'admin.taDrainage.get',
    },
    addtaDrainage: {
      url: `${prefix}/taDrainage/add`,
      method: 'POST',
      action: 'admin.taDrainage.add.post',
    },
    deletetaDrainage: {
      url: `${prefix}/taDrainage/:id`,
      method: 'DELETE',
      action: 'admin.taDrainage.id.delete',
    },
    exchangeDrainage: {
      url: `${prefix}/taDrainage/exchange/:id`,
      method: 'PUT',
      action: 'admin.taDrainage.id.put',
    },
    updatetaDrainage: {
      url: `${prefix}/taDrainage/:id`,
      method: 'PUT',
      action: 'admin.taDrainage.id.put',
    },
    taDrainageRecord: {
      url: `${prefix}/taDrainageRecord`,
      method: 'GET',
      action: 'admin.taDrainageRecord.get',
    },
    exporttaDrainageRecord: {
      url: `${prefix}/taDrainageRecord/export`,
      method: 'GET',
      action: 'admin.taDrainageRecord.export.get',
    },
    taDrainageVisitRecord: {
      url: `${prefix}/taDrainageVisitRecord`,
      method: 'GET',
      action: 'admin.taDrainageVisitRecord.get',
    },
    saleCountList: {
      url: `${prefix}/saleCountList`,
      method: 'GET',
      action: 'admin.saleCountList.get',
    },
    exportSales: {
      url: `${prefix}/exportSales`,
      method: 'GET',
      action: 'admin.saleCountList.get',
    },
    shareCountList: {
      url: `${prefix}/shareCountList`,
      method: 'GET',
      action: 'admin.shareCountList.get',
    },
    clickCountList: {
      url: `${prefix}/clickCountList`,
      method: 'GET',
      action: 'admin.clickCountList.get',
    },
  },
  integralMall: {
    tdPointsRules: {
      url: `${prefix}/tdPointsRules`,
      method: 'GET',
      action: 'admin.tdPointsRules.get',
    },
    rulesDetail: {
      url: `${prefix}/tdPointsRules/:id`,
      method: 'GET',
      action: 'admin.tdPointsRules.id.get',
    },
    rulesUpdate: {
      url: `${prefix}/tdPointsRules`,
      method: 'PUT',
      action: 'admin.tdPointsRules.put',
    },
    change: {
      url: `${prefix}/tdPointsRules/change`,
      method: 'PUT',
      action: 'admin.tdPointsRules.change.put',
    },
    taGoods: {
      url: `${prefix}/taGoods/:id`,
      method: 'GET',
      action: 'admin.taGoods.id.get',
    },
    updateTaGoods: {
      url: `${prefix}/taGoods`,
      method: 'PUT',
      action: 'admin.taGoods.put',
    },
    addTaGoods: {
      url: `${prefix}/taGoods/add`,
      method: 'POST',
      action: 'admin.taGoods.add.post',
    },
    taPointsExchange: {
      url: `${prefix}/taPointsExchange`,
      method: 'GET',
      action: 'admin.taPointsExchange.get',
    },
    getTaGoods: {
      url: `${prefix}/taGoods`,
      method: 'GET',
      action: 'admin.taGoods.get',
    },
    changeTaGoods: {
      url: `${prefix}/taGoods/change`,
      method: 'PUT',
      action: 'admin.taGoods.change.put',
    },
    changeTaPointsExchange: {
      url: `${prefix}/taPointsExchange/change`,
      method: 'PUT',
      action: 'admin.taPointsExchange.change.put',
    },
  },
  carsuseFigure: {
    extendContent: {
      url: `${prefix}/extendContent`,
      method: 'GET',
      action: 'admin.extendContent.get',
    },
    finish: {
      url: `${prefix}/buildingDynamic/finish`,
      method: 'PUT',
      action: 'admin.buildingDynamic.finish.put',
    },
    updataExtendContent: {
      url: `${prefix}/extendContent/:id`,
      method: 'PUT',
      action: 'admin.extendContent.id.put',
    },
    deleteExtendContent: {
      url: `${prefix}/extendContentDelete/:id`,
      method: 'PUT',
      action: 'admin.extendContent.id.put',
    },
    getExtendContent: {
      url: `${prefix}/extendContent/:id`,
      method: 'GET',
      action: 'admin.extendContent.id.get',
    },
    addExtendContent: {
      url: `${prefix}/extendContent`,
      method: 'POST',
      action: 'admin.extendContent.post',
    },
    customImg: {
      url: `${prefix}/taCustomImg`,
      method: 'GET',
      action: 'admin.taCustomImg.get',
    },
    addCustomImg: {
      url: `${prefix}/taCustomImg`,
      method: 'POST',
      action: 'admin.taCustomImg.post',
    },
    updateCustomImg: {
      url: `${prefix}/taCustomImg`,
      method: 'PUT',
      action: 'admin.taCustomImg.put',
    },
    getCustomImg: {
      url: `${prefix}/taCustomImg/:id`,
      method: 'GET',
      action: 'admin.taCustomImg.id.get',
    },
  },
  //Course课程+
  course:{
    //查询
  Tablecourse:{
    method:'GET',
    url:`${prefix}/curriculum`,
    action: 'admin.curriculum.get',
  },
  //根据ID查询
    searchCourse:{
      method:'GET',
      url:`${prefix}/curriculum/:id`,
      // action:'admin.curriculum.id.get'
      action: 'admin.curriculum.id.get',
    },
    //新增
    addCourse:{
      method:'POST',
      // POST /api/admin/curriculum
      url:`${prefix}/curriculum`,
      action:'admin.curriculum.post',
    },
    //修改
    alterCourse:{
      method:'PUT',
      url:`${prefix}/curriculum/:id`,
      action:'admin.curriculum.id.put'
    },
    //deleteCourse
    deleteCourse: {
      url: `${prefix}/curriculum/:id`,
      method: 'DELETE',
      action: 'admin.curriculum.id.delete',
    },
  },
  system: {
    taPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'GET',
      action: 'admin.taPolicy.id.get',
    },
    updateTaPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'PUT',
      action: 'admin.taPolicy.id.put',
    },
    addTaPolicy: {
      url: `${prefix}/taPolicy`,
      method: 'POST',
      action: 'admin.taPolicy.post',
    },
    getTaPolicy: {
      url: `${prefix}/taPolicy`,
      method: 'GET',
      action: 'admin.taPolicy.get',
    },
    deleteTaPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'DELETE',
      action: 'admin.taPolicy.id.delete',
    },
    tdBizEventIntention: {
      url: `${prefix}/tdBizEventIntention`,
      method: 'GET',
      action: 'admin.tdBizEventIntention.get',
    },
    taBuildingIntentionAddOrUpdate: {
      url: `${prefix}/taBuildingIntentionAddOrUpdate/:id`,
      method: 'POST',
      action: 'admin.taBuildingIntentionAddOrUpdate.buildingId.post',
    },
    taCustomerMessage: {
      url: `${prefix}/taCustomerMessage`,
      method: 'GET',
      action: 'admin.taCustomerMessage.get',
    },
    tdReports: {
      url: `${prefix}/tdReports`,
      method: 'GET',
      action: 'admin.tdReports.get',
    },
    taBuildingReports: {
      url: `${prefix}/taBuildingReports`,
      method: 'GET',
      action: 'admin.taBuildingReports.get',
    },
    addTaBuildingReports: {
      url: `${prefix}/taBuildingReport/add`,
      method: 'POST',
      action: 'admin.taBuildingReport.add.post',
    },
    documentVerifylist: {
      url: `${prefix}/documentVerify`,
      method: 'GET',
      action: 'admin.documentVerify.get',
    },
    documentVerifyDetail: {
      url: `${prefix}/documentVerify/:id`,
      method: 'GET',
      action: 'admin.documentVerify.id.get',
    },
    updateVerify: {
      url: `${prefix}/documentVerify/:id`,
      method: 'PUT',
      action: 'admin.documentVerify.id.put',
    },
    miniappTheme: {
      list: {
        url: `${prefix}/miniapp-theme`,
        method: 'GET',
        action: 'admin.miniappTheme.list',
      },
      edit: {
        url: `${prefix}/miniapp-theme`,
        method: 'POST',
        action: 'admin.miniappTheme.edit',
      },
      delete: {
        url: `${prefix}/miniapp-theme/:id`,
        method: 'DELETE',
        action: 'admin.miniappTheme.delete',
      },
    }
  },
  staff: {
    taUser: {
      url: `${prefix}/taUser`,
      method: 'GET',
      action: 'admin.taUser.get',
    },
    taTags: {
      url: `${prefix}/taTags`,
      method: 'GET',
      action: 'admin.taTags.get',
    },
    getTaUser: {
      url: `${prefix}/taUser/:id`,
      method: 'GET',
      action: 'admin.taUser.id.get',
    },
    updateTaUser: {
      url: `${prefix}/taUser/:id`,
      method: 'PUT',
      action: 'admin.taUser.id.put',
    },
    addTaUser: {
      url: `${prefix}/taUser`,
      method: 'POST',
      action: 'admin.taUser.post',
    },
    change: {
      url: `${prefix}/turn/taUser/:id/:type`,
      method: 'PUT',
      action: 'admin.turn.taUser.put',
    },
    check: {
      url: `${prefix}/consultant/customer/list`,
      method: 'GET',
      action: 'admin.consultant.customer.list.put',
    },
    move: {
      url: `${prefix}/consultant/customer/move`,
      method: 'PUT',
      action: 'admin.user.departure.put',
    },
    departure: {
      url: `${prefix}/user/departure/:id`,
      method: 'PUT',
      action: 'admin.user.departure.put',
    },
  },
  channelList: {
    getList: {
      url: `${prefix}/channel`,
      method: 'GET',
      action: 'admin.channel.get',
    },
    addChannel: {
      url: `${prefix}/channel`,
      method: 'POST',
      action: 'admin.channel.post',
    },
    getById: {
      url: `${prefix}/channel/:id`,
      method: 'GET',
      action: 'admin.channel.id.get',
    },
    editChannel: {
      url: `${prefix}/channel/:id`,
      method: 'PUT',
      action: 'admin.channel.id.put',
    },
    getListBroker: {
      url: `${prefix}/channel/broker`,
      method: 'GET',
      action: 'admin.channel.broker.get',
    },
    getListRecommend: {
      url: `${prefix}/customer/recommend/:id`,
      method: 'GET',
      action: 'admin.customer.recommend.id.get',
    },
    getListInvite: {
      url: `${prefix}/channel/InviteClientsList`,
      method: 'GET',
      action: 'admin.channel.InviteClientsList.get',
    },
    getIntroductionList: {
      url: `${prefix}/channel/introductionList`,
      method: 'GET',
      action: 'admin.channel.introductionList.get',
    },
    newuserList: {
      url: `${prefix}/channel/introduction/newuserList`,
      method: 'GET',
      action: 'admin.channel.introductionList.newuserList.get',
    },
    visitNumList: {
      url: `${prefix}/channel/introduction/visitNumList`,
      method: 'GET',
      action: 'admin.channel.introductionList.visitNumList.get',
    },
    personNumList: {
      url: `${prefix}/channel/introduction/personNumList`,
      method: 'GET',
      action: 'admin.channel.introductionList.personNumList.get',
    },
    getIntroductionListExport: {
      url: `${prefix}/channel/introductionListExport`,
      method: 'GET',
      action: 'admin.channel.introductionListExport.get',
    },
    newuserListExport: {
      url: `${prefix}/channel/introduction/newuserListExport`,
      method: 'GET',
      action: 'admin.channel.introductionList.newuserListExport.get',
    },
    visitNumListExport: {
      url: `${prefix}/channel/introduction/visitNumListExport`,
      method: 'GET',
      action: 'admin.channel.introductionList.visitNumListExport.get',
    },
    personNumListExport: {
      url: `${prefix}/channel/introduction/personNumListExport`,
      method: 'GET',
      action: 'admin.channel.introductionList.personNumListExport.get',
    }
  },
  role: {
    getRoleList: {
      url: `${prefix}/taRole`,
      method: 'GET',
      action: 'admin.taRole.get',
    },
    stop: {
      url: `${prefix}/taRole/stop/:id`,
      method: 'PUT',
      action: 'admin.taRole.stop.id.PUT',
    },
    menuList: {
      url: `${prefix}/menuList`,
      method: 'GET',
      action: 'admin.menuList.get',
    },
    buttonList: {
      url: `${prefix}/buttonList`,
      method: 'GET',
      action: 'admin.buttonList.get',
    },
    buttonAndMenuList: {
      url: `${prefix}/taRole/details/:id`,
      method: 'GET',
      action: 'admin.taRole.details.id.get'
    },
    updateAuthMenu: {
      url: `${prefix}/updateAuthMenu`,
      method: 'POST',
      action: 'admin.updateAuthMenu.post',
    },
  },
  helpActivity: {
    effectiveList: {
      url: `${prefix}/helpActivityEffective/list`,
      method: 'GET',
      action: 'admin.helpActivityEffective.list.get',
    },
    list: {
      url: `${prefix}/helpActivity/list`,
      method: 'GET',
      action: 'admin.helpActivity.get',
    },
    add: {
      url: `${prefix}/helpActivity/add`,
      method: 'post',
      action: 'admin.helpActivity.add.post',
    },
    details: {
      url: `${prefix}/helpActivity/details`,
      method: 'get',
      action: 'admin.helpActivity.details.get',
    },
    update: {
      url: `${prefix}/helpActivity/update`,
      method: 'put',
      action: 'admin.helpActivity.update.put',
    },
    top: {
      url: `${prefix}/top/update`,
      method: 'post',
      action: 'admin.top.update.post',
    },
    cancel: {
      method: 'PUT',
      url: `${prefix}/helpActivity/cancel/:id`,
      action: 'admin.helpActivity.update.put',
    },
    send: {
      url: `${prefix}/helpActivity/send/:id`,
      method: 'PUT',
      action: 'admin.helpActivity.update.put',
    },
    record: {
      url: `${prefix}/helpRecord`,
      method: 'get',
      action: 'admin.helpRecord.get',
    },
    helpPeopleDetails: {
      url: `${prefix}/taHelpRecord/details`,
      method: 'get',
      action: 'admin.taHelpRecord.details.get',
    },
    verification: {
      url: `${prefix}/helpInitiateRecordVerify`,
      method: 'post',
      action: 'admin.helpInitiateRecordVerify.get',
    },
    HelpInitiateRecordSucceed: {
      url: `${prefix}/HelpInitiateRecordSucceed/export`,
      method: 'get',
      action: 'admin.HelpInitiateRecordSucceed.export.get',
    },
    gethelpRecordExport: {
      url: `${prefix}/helpRecord/export`,
      method: 'get',
      action: 'admin.helpRecord.export.get',
    },
  },
  groupActivity: {
    list: {
      url: `${prefix}/taShareActivity/list`,
      method: 'get',
      action: 'admin.taShareActivity.list.get',
    },
    EffectiveList: {
      url: `${prefix}/taShareActivityEffective/list`,
      method: 'get',
      action: 'admin.taShareActivityEffective.list.get',
    },
    add: {
      url: `${prefix}/taShareActivity`,
      method: 'post',
      action: 'admin.taShareActivity.post',
    },
    details: {
      url: `${prefix}/taShareActivity/:id`,
      method: 'get',
      action: 'admin.taShareActivity.id.get',
    },
    avgScore: {
      url: `${prefix}/taShareActivity/avgScore`,
      method: 'get',
      action: 'admin.taShareActivity.avgScore.get',
    },
    update: {
      url: `${prefix}/taShareActivity/update`,
      method: 'put',
      action: 'admin.taShareActivity.update.put',
    },
    finish: {
      url: `${prefix}/taShareActivity/finish/:id`,
      method: 'put',
      action: 'admin.taShareActivity.finish.put',
    },
    send: {
      url: `${prefix}/taShareActivity/send/:id`,
      method: 'PUT',
      action: 'admin.taShareActivity.finish.put',
    },
    cancel: {
      method: 'PUT',
      url: `${prefix}/taShareActivity/cancel/:id`,
      action: 'admin.taShareActivity.finish.put',
    },
    top: {
      url: `${prefix}/taShareActivity/weight`,
      method: 'put',
      action: 'admin.taShareActivity.weight.put',
    },
    shareSuccList: {
      url: `${prefix}/taShareSuccessRecord`,
      method: 'get',
      action: 'admin.taShareSuccessRecord.get',
    },
    shareFailList: {
      url: `${prefix}/taShareFailAndProcessingRecord`,
      method: 'get',
      action: 'admin.taShareFailAndProcessingRecord.get',
    },
    shareChildList: {
      url: `${prefix}/taShareChildRecord`,
      method: 'get',
      action: 'admin.taShareChildRecord.get',
    },
    exportShareChildRecord: {
      url: `${prefix}/taShareChildRecord/export`,
      method: 'get',
      action: 'admin.taShareChildRecord.export.get',
    },
    exportShareRecord: {
      url: `${prefix}/taShareRecord/export`,
      method: 'get',
      action: 'admin.taShareRecord.export.get',
    },
    verification: {
      url: `${prefix}/taShareRecord/verificate`,
      method: 'put',
      action: 'admin.taShareRecord.verificate.put',
    }
  },
  h5Activity: {
    list: {
      url: `${prefix}/taDrainage`,
      method: 'get',
      action: 'admin.taDrainage.get',
    },
    EffectiveList: {
      url: `${prefix}/taDrainage`,
      method: 'get',
      action: 'admin.taDrainage.get',
    }
  },
  third: {
    thirdPartyMiniapp: {
      url: `${prefix}/thirdPartyMiniapp`,
      method: 'GET',
      action: 'admin.thirdPartyMiniapp.get',
    },
    update: {
      url: `${prefix}/thirdPartyMiniapp/update`,
      method: 'PUT',
      action: 'admin.thirdPartyMiniapp.update.put',
    },
    add: {
      url: `${prefix}/thirdPartyMiniapp/add`,
      method: 'POST',
      action: 'admin.thirdPartyMiniapp.add.post',
    },
    details: {
      url: `${prefix}/thirdPartyMiniapp/:id`,
      method: 'GET',
      action: 'admin.thirdPartyMiniapp.id.get',
    },
  },
  wxDict: {
    list: {
      url: `${prefix}/tdWxDict`,
      method: 'GET',
      action: 'admin.tdWxDict.get',
    },
  },
  poster: {
    posterTemplate: {
      url: `${prefix}/posterTemplate`,
      method: 'GET',
      action: 'admin.posterTemplate.get',
    },
  },
  paorama: {
    panoramaApartList: {
      url: `${prefix}/panorama/apartment`,
      method: 'GET',
      action: 'admin.panoramaApartList.get',
    },
    add: {
      url: `${prefix}/panorama`,
      method: 'POST',
      action: 'admin.panorama.post',
    },
    list: {
      url: `${prefix}/panorama/:id`,
      method: 'GET',
      action: 'admin.panorama.id.get',
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/panorama/:id`,
      action: 'admin.panorama.id.delete',
    }
  },
  icon: {
    minippIconList: {
      url: `${prefix}/taMiniappIcon`,
      method: 'GET',
      action: 'admin.taMiniappIcon.get',
    },
  },
  amap: { // 高德地图
    webService: { // Web服务Api ---- 周边搜索
      url: `${amapPrefix}/place/around`,
      method: 'GET',
    },
  },
  house: {
    taSalesBatch: {
      method: 'GET',
      url: `${prefix}/taSalesBatch`,
      action: 'admin.taSalesBatch.get',
    },
    salesBatchList: {
      method: 'GET',
      url: `${prefix}/salesBatchList`,
      action: 'admin.taSalesBatch.get',
    },
    addTaSalesBatch: {
      method: 'POST',
      url: `${prefix}/taSalesBatch`,
      action: 'admin.taSalesBatch.post',
    },
    taHouseShare: {
      url: `${prefix}/taHouseShare`,
      method: 'GET',
      action: 'admin.taHouseShare.get',
    },
    taHouseVisit: {
      url: `${prefix}/taHouseVisit`,
      method: 'GET',
      action: 'admin.taHouseVisit.get',
    },
    getTaSalesBatch: {
      url: `${prefix}/taSalesBatch/:id`,
      method: 'get',
      action: 'admin.taHouseShare.get',
    },
    updateTaSalesBatch: {
      url: `${prefix}/taSalesBatch/:id`,
      method: 'put',
      action: 'admin.taHouseShare.put',
    },
    deleteTaSalesBatch: {
      url: `${prefix}/taSalesBatch`,
      method: 'put',
      action: 'admin.taHouseShare.put',
    },
    taHousingResources: {
      method: 'GET',
      url: `${prefix}/taHousingResources`,
      action: 'admin.taHousingResources.get',
    },
    block: {
      method: 'GET',
      url: `${prefix}/taBuildingBlock`,
      action: 'admin.taBuildingBlock.get',
    },
    unit: {
      method: 'GET',
      url: `${prefix}/taBuildingUnit`,
      action: 'admin.taBuildingUnit.get',
    },
    floor: {
      method: 'GET',
      url: `${prefix}/taBuildingFloor`,
      action: 'admin.taBuildingFloor.get',
    },
    apartmentList: {
      method: 'GET',
      url: `${prefix}/apartmentList`,
      action: 'admin.apartmentList.get',
    },
    checked: {
      method: 'PUT',
      url: `${prefix}/house/checked`,
      action: 'admin.house.checked.get',
    },
    houseAdd: {
      url: `${prefix}/taHousingResources`,
      method: 'POST',
      action: 'admin.taHousingResources.get',
    },
    getById: {
      method: 'GET',
      url: `${prefix}/taHousingResources/:id`,
      action: 'admin.taHousingResources.id.get',
    },
    houseEdit: {
      url: `${prefix}/taHousingResources/:id`,
      method: 'PUT',
      action: 'admin.taHousingResources.id.put',
    },
    taPreselectRecord: {
      url: `${prefix}/taPreselectRecord/:id`,
      method: 'GET',
      action: 'admin.taPreselectRecord.get',
    },
    houseDelete: {
      url: `${prefix}/houseDelete/:id`,
      method: 'DELETE',
      action: 'admin.houseDelete.id.put',
    },
    changeApartment: {
      method: 'PUT',
      url: `${prefix}/house/changeApartment`,
      action: 'admin.house.changeApartment.get',
    },
    uploadExcel: {
      url: `${prefix}/house/uploadExcel`,
      method: 'POST',
      action: 'upload',
    },
    saveExcelValue: {
      url: `${prefix}/house/saveExcelValue`,
      method: 'POST',
      action: 'upload',
    },
    listHouseResources: {
      url: `${prefix}/listHousingResources`,
      method: 'GET',
      action: 'admin.taHousingResources.get',
    },
    taPreselectList: {
      url: `${prefix}/listPresecretByCondition`,
      method: 'GET',
      action: 'admin.listSalesBatchForPreselect.get',
    },
    addTaPreSelection: {
      url: `${prefix}/taPreselection`,
      method: 'POST',
      action: 'admin.taPreselection.post',
    },
    updateTaPreSelection: {
      url: `${prefix}/taPreselection/:id`,
      method: 'PUT',
      action: 'admin.taPreselection.put',
    },
    taPreselectionById: {
      url: `${prefix}/taPreselection/:id`,
      method: 'GET',
      action: 'admin.houseDelete.get',
    },
    batchDelTaPreSelection: {
      url: `${prefix}/preselection/batchDelete`,
      method: 'PUT',
      action: 'admin.taPreselection.put',
    },
    batchUpdateHeat: {
      url: `${prefix}/house/batchUpdateHeat`,
      method: 'PUT',
      action: 'admin.taPreselection.put',
    },
    batchDelTaPreSelectionRecord: {
      url: `${prefix}/preselectRecord/batchDelete`,
      method: 'PUT',
      action: 'admin.taPreselection.put',
    },
    addRaise: {
      url: `${prefix}/taRaise`,
      method: 'POST',
      action: 'admin.taRaise.post',
    },
    updateRaise: {
      url: `${prefix}/taRaise/:id`,
      method: 'PUT',
      action: 'admin.taRaise.put',
    },
    batchDelRaise: {
      url: `${prefix}/raise/batchDelete`,
      method: 'DELETE',
      action: 'admin.taRaise.put',
    },
    taRaiseList: {
      url: `${prefix}/listRaiseByCondition`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    taRaiseById: {
      url: `${prefix}/taRaise/:id`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    houseRaise: {
      url: `${prefix}/listHousingRaiseByCondition`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    houseRaiseRecord: {
      url: `${prefix}/listRaiseRecordByCondition`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    paidOrderList: {
      url: `${prefix}/listRaiseOrderByCondition`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    refundOrderList: {
      url: `${prefix}/listRaiseOrderByCondition`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    batchInvalidRaiseRecord: {
      url: `${prefix}/batchInvalidRaiseRecord`,
      method: 'PUT',
      action: 'admin.taRaise.put',
    },
    checkBeforeInvalidRecord: {
      url: `${prefix}/raise/checkBeforeInvalidRecord`,
      method: 'POST',
      action: 'admin.taRaise.post',
    },
    batchDeleteRaiseRecord: {
      url: `${prefix}/batchDeleteRaiseRecord`,
      method: 'PUT',
      action: 'admin.taRaise.put',
    },
    batchPayOfflineRaiseRecord: {
      url: `${prefix}/batchPayOfflineRaiseRecord`,
      method: 'PUT',
      action: 'admin.taRaise.put',
    },
    batchRefundOfflineRaiseRecord: {
      url: `${prefix}/batchRefundOfflineRaiseRecord`,
      method: 'PUT',
      action: 'admin.taRaise.put',
    },
    refund: {
      url: `${prefix}/refund`,
      method: 'POST',
      action: 'admin.taRaise.post',
    },
    checkHavingRecord: {
      url: `${prefix}/checkHavingRecord/:id`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    listHouseByRaiseRecordId: {
      url: `${prefix}/house/listHouseByRaiseRecordId`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    updateLockingStatus: {
      url: `${prefix}/house/updateLockingStatus`,
      method: 'PUT',
      action: 'admin.taRaise.get',
    },
    getUserInfo: {
      url: `${prefix}/getUserInfo`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    addUnlockRaiseHouse: {
      url: `${prefix}/taRaiseHouse`,
      method: 'POST',
      action: 'admin.taRaise.post',
    },
    buildingIdBySalesBatchId: {
      url: `${prefix}/taSalesBatch/getBuildingById/:id`,
      method: 'GET',
      action: 'admin.taRaise.get',
    },
    batchUpdateRaiseHeat: {
      url: `${prefix}/house/batchUpdateRaiseHeat`,
      method: 'PUT',
      action: 'admin.taRaise.put',
    }
  },
  taliveActivity: {
    taLiveShare: {
      url: `${prefix}/taLiveShare`,
      method: 'GET',
      action: 'admin.taLiveShare.get',
    },
    taLiveVisit: {
      url: `${prefix}/taLiveVisit`,
      method: 'GET',
      action: 'admin.taLiveVisit.get',
    },
    addTaLiveActivity: {
      method: 'POST',
      url: `${prefix}/taLiveActivity`,
      action: 'admin.taSalesBatch.post',
    },
    updateTaLiveActivity: {
      url: `${prefix}/taLiveActivity/:id`,
      method: 'put',
      action: 'admin.taLiveActivity.put',
    },
    getTaLiveActivity: {
      url: `${prefix}/taLiveActivity/:id`,
      method: 'get',
      action: 'admin.taLiveActivity.get',
    },
    taLiveActivity: {
      method: 'GET',
      url: `${prefix}/taLiveActivity`,
      action: 'admin.taLiveActivity.get',
    },
    deleteTaLiveActivity: {
      url: `${prefix}/delTaLiveActivity`,
      method: 'put',
      action: 'admin.delTaLiveActivity.put',
    },
    livePlatList: {
      url: `${prefix}/livePlatList`,
      method: 'get',
      action: 'admin.taLiveActivity.get',
    },
  },
  taH5SampleManager: {
    taH5Demand: {
      url: `${prefix}/taH5Demand`,
      method: 'GET',
      action: 'admin.taH5Demand.get',
    },
    addTaH5Demand: {
      url: `${prefix}/taH5Demand`,
      method: 'POST',
      action: 'admin.taH5Demand.get',
    },
    taH5DemandById: {
      url: `${prefix}/taH5Demand/:id`,
      method: 'GET',
      action: 'admin.taH5Demand.get',
    },
    updateH5DemandById: {
      url: `${prefix}/taH5Demand/:id`,
      method: 'PUT',
      action: 'admin.taH5Demand.get',
    },
    batchDelDemands: {
      url: `${prefix}/batchDelTaH5Demands`,
      method: 'PUT',
      action: 'admin.taH5Demand.get',
    },
    taH5Sample: {
      url: `${prefix}/taH5Sample`,
      method: 'GET',
      action: 'admin.taH5Demand.get',
    },
    taH5SampleById: {
      url: `${prefix}/taH5Sample/:id`,
      method: 'GET',
      action: 'admin.taH5Demand.get',
    },
    taContactList: {
      url: `${prefix}/taContact/:id`,
      method: 'GET',
      action: 'admin.taH5Demand.get',
    }
  },
  taEcontract: {
    taContractBusinessList: {
      method: 'GET',
      url: `${prefix}/taContractBusiness`,
      action: 'admin.taContractBusiness.get',
    },
    addTaContractBusiness: {
      method: 'POST',
      url: `${prefix}/taContractBusiness`,
      action: 'admin.taContractBusiness.post',
    },
    updateTaContractBusinessById: {
      method: 'PUT',
      url: `${prefix}/taContractBusiness/:id`,
      action: 'admin.taContractBusiness.put',
    },
    batchDelTaContractBusiness: {
      method: 'PUT',
      url: `${prefix}/batchDelBusinessConfig`,
      action: 'admin.taContractBusiness.del',
    },
    taCompanyList: {
      method: 'GET',
      url: `${prefix}/taCompanyList`,
      action: 'admin.taCompanyList.get',
    },
    taCompanySealList: {
      method: 'GET',
      url: `${prefix}/taCompanySeal`,
      action: 'admin.taCompanySeal.get',
    },
    taContractTemplateById: {
      method: 'GET',
      url: `${prefix}/taContractTemplate/:id`,
      action: 'admin.taContractTemplate.get',
    },
    taContractBusinessById: {
      method: 'GET',
      url: `${prefix}/taContractBusiness/:id`,
      action: 'admin.taContractBusiness.get',
    },
    taContractTemplateList: {
      method: 'GET',
      url: `${prefix}/taContractTemplate`,
      action: 'admin.listContractTemplate.get',
    },
    listContractTemplate: {
      method: 'GET',
      url: `${prefix}/taContractTemplate`,
      action: 'admin.listContractTemplate.get',
    },
    addContractTemplate: {
      method: 'post',
      url: `${prefix}/contract/template/add`,
      action: 'admin.addContractTemplate.post',
    },
    batchDeleteContractTemplate: {
      method: 'put',
      url: `${prefix}/contract/template/batchDelete`,
      action: 'admin.batchDeleteContractTemplate.put',
    },
    updateContractTemplate: {
      method: 'put',
      url: `${prefix}/contract/template/update/:id`,
      action: 'admin.updateContractTemplate.put',
    },
    getContractTemplate: {
      method: 'get',
      url: `${prefix}/taContractTemplate/:id`,
      action: 'admin.getContractTemplate.get',
    },
    listContractTemplate: {
      method: 'GET',
      url: `${prefix}/taContractTemplate`,
      action: 'admin.listContractTemplate.get',
    },
    addContractTemplate: {
      method: 'post',
      url: `${prefix}/contract/template/add`,
      action: 'admin.addContractTemplate.post',
    },
    batchDeleteContractTemplate: {
      method: 'put',
      url: `${prefix}/contract/template/batchDelete`,
      action: 'admin.batchDeleteContractTemplate.put',
    },
    updateContractTemplate: {
      method: 'put',
      url: `${prefix}/contract/template/update/:id`,
      action: 'admin.updateContractTemplate.put',
    },
    getContractTemplate: {
      method: 'get',
      url: `${prefix}/taContractTemplate/:id`,
      action: 'admin.getContractTemplate.get',
    },

  },
  manage: {
    list: {
      method: 'GET',
      url: `${prefix}/contract/list`,
      action: 'admin.contract.list.get',
    },
    detail: {
      method: 'GET',
      url: `${prefix}/contract/:id`,
      action: 'admin.contract.id.get',
    },
    archives: {
      method: 'PUT',
      url: `${prefix}/contract/:id`,
      action: 'admin.contract.id.put',
    },
  },
  activityDataStatis: {
    total: {
      method: 'GET',
      url: `${prefix}/activityStatistical/total`,
      action: 'admin.contract.list.get',
    },
    selectAllActivityUser: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectAllActivityUser`,
      action: 'admin.contract.list.get',
    },
    tableData: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectTableData`,
      action: 'admin.contract.list.get',
    },
    tableDataExport: {
      method: 'GET',
      url: `${prefix}/activityStatistical/tableDataExport`,
      action: 'admin.contract.list.get',
    },
    activityDetailTableData: {
      method: 'GET',
      url: `${prefix}/activityStatistical/activityStatisDetail`,
      action: 'admin.contract.list.get',
    },
    activityDetailTableDataExport: {
      method: 'GET',
      url: `${prefix}/activityStatistical/activityDetailTableDataExport`,
      action: 'admin.contract.list.get',
    },
    activitySharePersonNum: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectActivitySharePersonNum`,
      action: 'admin.contract.list.get',
    },
    activitySharePersonNumExport: {
      method: 'GET',
      url: `${prefix}/activityStatistical/activitySharePersonNumExport`,
      action: 'admin.contract.list.get',
    },
    activityShareNum: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectActivityShareNum`,
      action: 'admin.contract.list.get',
    },
    activityShareNumExport: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectActivityShareNumExport`,
      action: 'admin.contract.list.get',
    },
    activityAddRegist: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectActivityAddRegistNum`,
      action: 'admin.contract.list.get',
    },
    activityAddRegistNumExport: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectActivityAddRegistNumExport`,
      action: 'admin.contract.list.get',
    },
    activityVisitNum: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectActivityVisitNum`,
      action: 'admin.contract.list.get',
    },
    activityVisitNumExport: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectActivityVisitNumExport`,
      action: 'admin.contract.list.get',
    },
    activityVisitPersonNum: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectActivityVisitPersonNum`,
      action: 'admin.contract.list.get',
    },
    activityVisitPersonNumExport: {
      method: 'GET',
      url: `${prefix}/activityStatistical/selectActivityVisitPersonNumExport`,
      action: 'admin.contract.list.get',
    },
    getStatisticData: {
      method: 'GET',
      url: `${prefix}/activityManage/getStatisticData`,
      action: 'admin.activityManage.getStatisticData.get',
    },
  },
  stats: {
    barList: {
      method: 'GET',
      url: `${prefix}/stats/barList`,
      action: 'admin.contract.list.get',
    },
    tableList: {
      method: 'GET',
      url: `${prefix}/stats/tableList`,
      action: 'admin.contract.list.get',
    },
    activityDetail: {
      method: 'GET',
      url: `${prefix}/stats/activity/detail`,
      action: 'admin.contract.list.get',
    },
    exportActivityDetail: {
      method: 'POST',
      url: `${prefix}/stats/activity/detail`,
      action: 'admin.contract.list.post',
    },
    consultantKPI: {
      method: 'GET',
      url: `${prefix}/stats/consultant/kpi`,
      action: 'admin.contract.list.get',
    },
    exportConsultantKPI: {
      method: 'POST',
      url: `${prefix}/stats/consultant/kpi`,
      action: 'admin.contract.list.post',
    },
    totalPersons: { // 客户总计 //新增用户
      method: 'GET',
      url: `${prefix}/stats/consultant/customer`,
      action: 'admin.contract.list.get',
    },
    shareNum: { // 分享次数
      method: 'GET',
      url: `${prefix}/stats/consultant/share/targets`,
      action: 'admin.contract.list.get',
    },
    visitPerson: { // 分享访问人数
      method: 'GET',
      url: `${prefix}/stats/consultant/share/persons`,
      action: 'admin.contract.list.get',
    },
    visitNum: { // 分享访问次数
      method: 'GET',
      url: `${prefix}/stats/consultant/share/times`,
      action: 'admin.contract.list.get',
    },
    sharePersons: { // 分享拓客
      method: 'GET',
      url: `${prefix}/stats/consultant/share/customer`,
      action: 'admin.contract.list.get',
    },
    homePagePersons: { // 主页访问人数
      method: 'GET',
      url: `${prefix}/stats/consultant/homepage/persons`,
      action: 'admin.contract.list.get',
    },
    homePageNums: { // 主页访问次数
      method: 'GET',
      url: `${prefix}/stats/consultant/homepage/times`,
      action: 'admin.contract.list.get',
    },
    chatPersons: { // 咨询数
      method: 'GET',
      url: `${prefix}/stats/consultant/chat/persons`,
      action: 'admin.contract.list.get',
    },
    favorNum: { // 点赞数
      method: 'GET',
      url: `${prefix}/stats/consultant/favor`,
      action: 'admin.contract.list.get',
    },


    buildingExport: {
      method: 'GET',
      url: `${prefix}/stats/buildingExport`,
      action: 'admin.contract.list.get',
    },
    timeBarList: {
      method: 'GET',
      url: `${prefix}/stats/timeBarList`,
      action: 'admin.contract.list.get',
    },
    timeTableList: {
      method: 'GET',
      url: `${prefix}/stats/timeTableList`,
      action: 'admin.contract.list.get',
    },
    buildingTimeExport: {
      method: 'GET',
      url: `${prefix}/stats/buildingTimeExport`,
      action: 'admin.contract.list.get',
    },
  },
  qrcode: {
    list: {
      method: 'GET',
      url: `${prefix}/listQrCode`,
      action: 'admin.contract.list.get',
    },
    add: {
      method: 'post',
      url: `${prefix}/taQrcode`,
      action: 'admin.qrcode.add',
    },
    batchDelete: {
      method: 'DELETE',
      url: `${prefix}/qrCode/batchDelete`,
      action: 'admin.qrcode.delete',
    },
    getStatisticData: {
      method: 'GET',
      url: `${prefix}/qrCode/getStatisticData`,
      action: 'admin.qrcode.getStatisticData.get',
    },
    getStatisticRecord: {
      method: 'GET',
      url: `${prefix}/qrCode/getStatisticRecord`,
      action: 'admin.qrcode.getStatisticRecord.get',
    },
    getStatisticRecordExport: {
      method: 'GET',
      url: `${prefix}/qrCode/getStatisticRecordExport`,
      action: 'admin.qrcode.getStatisticRecordExport.get',
    },
  },
  redPacket: {
    update: {
      method: 'put',
      url: `${prefix}/redPacket/update`,
      action: 'admin.redPacket.put',
    },
    detail: {
      method: 'GET',
      url: `${prefix}/redPacket/:id`,
      action: 'admin.redPacket.id.get',
    },
    helpDetail: {
      method: 'GET',
      url: `${prefix}/redPacket/help/:id`,
      action: 'admin.redPacket.help.id.get',
    },
    updateHelp: {
      method: 'put',
      url: `${prefix}/redPacket/help/:id`,
      action: 'admin.redPacket.help.put',
    },
    moneyDetail: {
      method: 'GET',
      url: `${prefix}/redPacket/money/:id`,
      action: 'admin.redPacket.money/id.get',
    },
    updateMoney: {
      method: 'put',
      url: `${prefix}/redPacket/money/:id`,
      action: 'admin.redPacket.money.put',
    },
    listSendRecord: {
      method: 'GET',
      url: `${prefix}/redPacket/listSendRecord`,
      action: 'admin.redPacket.listSendRecord.get',
    },
    getRedPacketRankingList: {
      method: 'GET',
      url: `${prefix}/redPacket/getRedPacketRankingList`,
      action: 'admin.redPacket.getRedPacketRankingList.get',
    },
    getRecordByConditionList: {
      method: 'GET',
      url: `${prefix}/redPacket/listVisitRecordByCondition`,
      action: 'admin.redPacket.getRecordByConditionList.get',
    },
    exportRedPacketRankingList: {
      method: 'GET',
      url: `${prefix}/redPacket/exportRedPacketRankingList`,
      action: 'admin.redPacket.exportRedPacketRankingList.get',
    },
    getConsumeOrderByConditionList: {
      method: 'GET',
      url: `${prefix}/redPacket/listConsumeOrderByCondition`,
      action: 'admin.redPacket.getConsumeOrderByConditionList.get',
    },
    exportVisitRecordByCondition: {
      method: 'GET',
      url: `${prefix}/redPacket/exportVisitRecordByCondition`,
      action: 'admin.redPacket.exportVisitRecordByCondition.get',
    },
    // /redPacket/listVisitRecordByCondition
    // redPacket/exportVisitRecordByCondition
  },
  funds: {
    get: {
      method: 'GET',
      url: `${prefix}/orgAccount/get`,
      action: 'admin.funds.listContactByCondition.get',
    },
    saveOrder: {
      method: 'put',
      url: `${prefix}/orgOrder/cz/saveOrder`,
      action: 'admin.funds.listContactByCondition.put',
    },
    saveRefundOrder: {
      method: 'put',
      url: `${prefix}/orgOrder/refund/saveOrder`,
      action: 'admin.funds.refund.put',
    },

    // /admin/orgOrder/cz/saveOrder
    czlist: {
      method: 'GET',
      url: `${prefix}/orgOrder/cz/list`,
      action: 'admin.funds.orgOrder.cz.list.get',
    },
    czexportList: {
      method: 'GET',
      url: `${prefix}/orgOrder/cz/exportList`,
      action: 'admin.funds.orgOrder.cz.list.get',
    },
    consumeOrderByConditionlist: {
      method: 'GET',
      url: `${prefix}/orgOrder/listConsumeOrderByCondition`,
      action: 'admin.funds.orgOrder.listConsumeOrderByCondition.get',
    },
    exportConsumeOrderByCondition: {
      method: 'GET',
      url: `${prefix}/orgOrder/exportConsumeOrderByCondition`,
      action: 'admin.funds.orgOrder.exportConsumeOrderByCondition.get',
    },
    refundlist: {
      method: 'GET',
      url: `${prefix}/orgOrder/refund/list`,
      action: 'admin.funds.orgOrder.refund.list.get',
    },
    refundexportList: {
      method: 'GET',
      url: `${prefix}/orgOrder/refund/exportList`,
      action: 'admin.funds.orgOrder.refund.list.get',
    },
//     /admin/orgOrder/refund/list
// 13.导出退款订单接口：/admin/orgOrder/refund/exportList
    // listConsumeOrderByCondition
    // /admin/orgOrder/cz/exportList
    // /admin/orgOrder/cz/list
    getByInfo: {
      method: 'GET',
      url: `${prefix}/orgOrder/getByInfo`,
      action: 'admin.funds.orgOrder.getByInfo.get',
    },

    // /admin/orgOrder/getByInfo
    list: {
      method: 'GET',
      url: `${prefix}/listContactByCondition`,
      action: 'admin.funds.listContactByCondition.get',
    },
  },
  // admin/redPacket/money/{id}
  institution: {

    list: {
      method: 'GET',
      url: `${prefix}/institution/list`,
      action: 'admin.institution.list.get',
    },
   
  },

}
